"use server";
import getMe from "@/lib/getMe";
import hasPermissions from "@/lib/hasPermissions";
import { redirect } from "next/navigation";
import LocationsPage from "./_locations";

export default async function Page() {
	const me = await getMe();
	if (
		!me ||
		me.status === "Error" ||
		!me.data ||
		!hasPermissions(me.data.roles, {
			locations: ["get"],
		} as const).all
	) {
		redirect("/dashboard");
	}

	return <LocationsPage user={me.data} />;
}
